com.hazelcast.concurrent.lock

## Class LockDataSerializerHook

- java.lang.Object
- - com.hazelcast.concurrent.lock.LockDataSerializerHook

- All Implemented Interfaces:
    com.hazelcast.internal.serialization.DataSerializerHook

      public final class LockDataSerializerHook
      extends Object
      implements com.hazelcast.internal.serialization.DataSerializerHook

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AWAIT`
    `static int` | `AWAIT_BACKUP`
    `static int` | `BEFORE_AWAIT`
    `static int` | `BEFORE_AWAIT_BACKUP`
    `static int` | `F_ID`
    `static int` | `GET_LOCK_COUNT`
    `static int` | `GET_REMAINING_LEASETIME`
    `static int` | `IS_LOCKED`
    `static int` | `LOCK`
    `static int` | `LOCK_BACKUP`
    `static int` | `LOCK_REPLICATION`
    `static int` | `LOCK_RESOURCE`
    `static int` | `LOCK_STORE`
    `static int` | `SIGNAL`
    `static int` | `SIGNAL_BACKUP`
    `static int` | `UNLOCK`
    `static int` | `UNLOCK_BACKUP`
    `static int` | `UNLOCK_IF_LEASE_EXPIRED`
    `static int` | `WAITERS_INFO`

    - ### Fields inherited from interface com.hazelcast.internal.serialization.DataSerializerHook

      `F_ID_OFFSET_HIBERNATE, F_ID_OFFSET_WEBMODULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockDataSerializerHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSerializableFactory` | `createFactory()`
    `int` | `getFactoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### F_ID

          public static final int F_ID

    - #### LOCK_RESOURCE

          public static final int LOCK_RESOURCE

      See Also:
        Constant Field Values

    - #### LOCK_STORE

          public static final int LOCK_STORE

      See Also:
        Constant Field Values

    - #### WAITERS_INFO

          public static final int WAITERS_INFO

      See Also:
        Constant Field Values

    - #### AWAIT_BACKUP

          public static final int AWAIT_BACKUP

      See Also:
        Constant Field Values

    - #### AWAIT

          public static final int AWAIT

      See Also:
        Constant Field Values

    - #### BEFORE_AWAIT_BACKUP

          public static final int BEFORE_AWAIT_BACKUP

      See Also:
        Constant Field Values

    - #### BEFORE_AWAIT

          public static final int BEFORE_AWAIT

      See Also:
        Constant Field Values

    - #### GET_LOCK_COUNT

          public static final int GET_LOCK_COUNT

      See Also:
        Constant Field Values

    - #### GET_REMAINING_LEASETIME

          public static final int GET_REMAINING_LEASETIME

      See Also:
        Constant Field Values

    - #### IS_LOCKED

          public static final int IS_LOCKED

      See Also:
        Constant Field Values

    - #### LOCK_BACKUP

          public static final int LOCK_BACKUP

      See Also:
        Constant Field Values

    - #### LOCK

          public static final int LOCK

      See Also:
        Constant Field Values

    - #### LOCK_REPLICATION

          public static final int LOCK_REPLICATION

      See Also:
        Constant Field Values

    - #### SIGNAL_BACKUP

          public static final int SIGNAL_BACKUP

      See Also:
        Constant Field Values

    - #### SIGNAL

          public static final int SIGNAL

      See Also:
        Constant Field Values

    - #### UNLOCK_BACKUP

          public static final int UNLOCK_BACKUP

      See Also:
        Constant Field Values

    - #### UNLOCK

          public static final int UNLOCK

      See Also:
        Constant Field Values

    - #### UNLOCK_IF_LEASE_EXPIRED

          public static final int UNLOCK_IF_LEASE_EXPIRED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LockDataSerializerHook

          public LockDataSerializerHook()

  - ### Method Detail

    - #### getFactoryId

          public int getFactoryId()

      Specified by:
        `getFactoryId` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

    - #### createFactory

          public DataSerializableFactory createFactory()

      Specified by:
        `createFactory` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

Copyright © 2019. All rights reserved.